<?php
require_once('config.php');

function get_friends_ids($my_friends){
    $result = array();

    foreach ($my_friends['data'] as $friend){
        $result[] = $friend['id'];
    }

    return $result;
}
function timedisplay($timestamp) { 
    $etime = time() - $timestamp;
    if( $etime < 1 ) {
        return 'less than 1 second ago';
    }
    $a = array(	12 * 30 * 24 * 60 * 60	=>  'year',
                30 * 24 * 60 * 60		=>  'month',
                24 * 60 * 60			=>  'day',
                60 * 60				    =>  'hour',
                60					    =>  'minute',
                1					    =>  'second');

    foreach( $a as $secs => $str ) {
        $d = $etime / $secs;
        if( $d >= 1 ) {
            $r = round( $d );
            return $r . ' ' . $str . ( $r > 1 ? 's' : '' ) . ' ago';
        }
    }
}

function createBreadCrumbs($breadCrumbsArray){
    require_once "urlBuilder.php";
    require_once "config.php";

    $urlBuilder = new urlBuilder(vB_SITE_ROOT);

    $html = "<a href=\"category_list.php\">Home</a> > ";
    $html .= "<a href=\"forums.php\">Forums</a>";

    foreach((array)$breadCrumbsArray as $navBit){
        $html .= " > " . createHtmlNavBit($navBit['forumid'], $navBit['title'], $navBit['threadcount'], $urlBuilder);
}
    return $html;
}

function createHtmlNavBit($forumid, $title, $threadcount, $urlBuilder){
    
    $urlParamsArray = array("forumid" => $forumid, "forum_forumname" => $title, "threadcount" => $threadcount);
    $sendForumTo = $urlBuilder->buildPaginationUrl("forum",$urlParamsArray);
    return "<a href=\"$sendForumTo\">$title</a>";

}

function cache_start() {
    ob_start();
}
function display_header( $customcss = null, $customjs = null )
{ 
    cache_start();
	$script_name = basename($_SERVER['SCRIPT_NAME']);
	$discover_selected = ($script_name == 'category_list.php' || $script_name == 'index.php') ? ' selected' : '';
	$explore_selected = ($script_name == 'category_stream.php' || $script_name == 'category_item.php') ? ' selected' : '';
	$forums_selected = ($script_name == 'forums.php') ? ' selected' : '';
    $canvas_url = parse_url(FACEBOOK_CANVAS_URL);
    $should_use_https = $canvas_url['scheme'] == 'https';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <script>
        if( document.referrer.indexOf('<?php echo FACEBOOK_CANVAS_URL; ?>') !== 0) {
            top.location.replace('<?php echo FACEBOOK_CANVAS_URL . FacebookApp::instance()->getCurrentUrl(); ?>');
        }
    </script>
<?php 
    if(strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 8')){
        echo "<meta http-equiv=\"X-UA-Compatible\" content=\"IE=8\" />\n";
    } 
?>
    <title>vBulletin Forum</title>
<?php
    if(!empty($customcss)) {
        foreach($customcss as $csspath) {
?>
    <link href="<?php echo $csspath; ?>?<?php echo BUILD_TAG; ?>" rel="stylesheet" type="text/css" />
<?php }} ?>
    <link href="_css/common.css?<?php echo BUILD_TAG; ?>" rel="stylesheet" type="text/css" />
    <link href="_css/dashboard.css?<?php echo BUILD_TAG; ?>" rel="stylesheet" type="text/css" />
    <link href="_css/lists.css?<?php echo BUILD_TAG; ?>" rel="stylesheet" type="text/css" />
    <link href="_css/bbcode.css?<?php echo BUILD_TAG; ?>" rel="stylesheet" type="text/css" />
	<link href="_css/jquery.qtip.min.css?<?php echo BUILD_TAG; ?>" rel="stylesheet" type="text/css" />
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.6.4/jquery.min.js"></script>
    <script src="_js/common.js?<?php echo BUILD_TAG; ?>"></script>
	<script src="_js/jquery.qtip.min.js?<?php echo BUILD_TAG; ?>"></script>
    <?php
    if(!empty($customjs)) {
        foreach($customjs as $jspath) {
?>
    <script src="<?php echo $jspath; ?>?<?php echo BUILD_TAG; ?>"></script>
<?php }} ?>
    <script src="https://services.vbulletin.com/fb.js"></script>
	<?php if(defined('GA_KEY')) { ?>
    <script type="text/javascript">
		var _gaq = _gaq || [];
		_gaq.push(['_setAccount', '<?php echo GA_KEY; ?>']);
		_gaq.push(['_trackPageview']);

		(function() {
		var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
		ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
		var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
		})();
	</script>
    <?php } ?>
    <link href="_css/custom.css?<?php echo BUILD_TAG; ?>" rel="stylesheet" type="text/css" />
</head>
<body>
	<div id="fb-root"></div>
	<script src="http://connect.facebook.net/en_US/all.js"></script>
	<script>
		<?php if($should_use_https) echo 'FB._https = true;'; ?>
        FB.init({
			appId  : '<? echo FACEBOOK_APP_ID ?>',
			//channelUrl  : '<?//=vB_SITE_ROOT . 'index.php'?>',  // custom channel
			channelUrl  : '<?=FACEBOOK_APP_SITEURL . 'channel.html'?>',
			status : true // check login status
		});
		FB.Canvas.EarlyFlush.setCollectionMode(FB.Canvas.EarlyFlush.COLLECT_AUTOMATIC);
		document.fbAppId = <? echo FACEBOOK_APP_ID ?>;
	</script>
	<div id="mainwrap">
		<div id="header">
			<h1><a href="category_list.php" alt="<?php echo FACEBOOK_APP_NAME; ?>"></a></h1>

			<div id="search">
				<input type="text" id="search-txt" onkeypress=" if(isEnter(event)){ searchValidation(); return false; }" data-hint="Find it here" />
				<a onclick="searchValidation(); return false" title="Search">Search</a>
				<img src="_css/wedge_search.png" />
			</div>
			<ul>
				<li class="discover<?php echo $discover_selected; ?>"><div><div><a href="category_list.php">Discover</a></div></div></li>
				<li class="explore<?php echo $explore_selected; ?>"><div><div><a href="category_stream.php?category=All_All">Explore</a></div></div></li>
				<li class="forums<?php echo $forums_selected; ?>"><div><div><a href="forums.php">Forums</a></div></div></li>                  
			</ul>
			<p id="hello">Hello, <a href="category_stream.php?category=User_Profile"><?=$_SESSION['username']?></a>!</p>
		</div>
		<div id="maincontainer">
<?php }

function display_footer($expires_timestamp = 0) { 
    $bottomad = defined('BOTTOM_AD') ? BOTTOM_AD : '' ;
?>

				<?php if(!empty($bottomad)) { ?><div class="bottomad"><?php echo $bottomad; ?></div><?php } ?>
                <div id="suggestionbox"></div>
			</div>
		<div class="clear"></div>
	</div>
	<script>
		function fix_forum_paths() {
			$('img[src^="images"]').each(function() {
				var src = "<?=vB_SITE_ROOT?>" + $(this).attr("src");
				$(this).attr('src', src);
			});
			$('a[href^="showthread.php"]').each(function() {
				var href = "<?=vB_SITE_ROOT?>" + $(this).attr("href");
				$(this).attr('href', href);
			});
		}
        function fix_links() {
            $('a').each(function()
            {
                var whitelist = [
                    'category_list.php',
                    'category_stream.php',
                    <?php if(!defined('READ_ONLY') || !READ_ONLY) { ?>
                    'category_item.php',
                    <?php } ?>
                    'forums.php',
                    'profile.php',
                    '#'
                ];
                if(!$(this).attr("href")) {
                    return;
                }
                for(var i = 0; i < whitelist.length; i++) {                  
                    if($(this).attr("href").lastIndexOf(whitelist[i], 0) === 0) {              
                        var newurl = '<?php echo FACEBOOK_CANVAS_URL; ?>' + $(this).attr("href");                      
                        $(this).attr("href", newurl);
                        $(this).attr("target", "_top");
                        return;
                    }
                }
                if(!$(this).attr("target")) {
                    $(this).attr("target", "_blank");
                }
            });
        }
		$(function() {
			fix_links()		
			fix_forum_paths();
                        $("div.small ul li.category_data_item.CategorySummaryItem_ApiGetNewTop_Photos:last-child").hide();
		});
		window.signed_request = '<?php echo $_REQUEST['signed_request']; ?>';
        window.app_root = '<?php echo FACEBOOK_CANVAS_URL; ?>';
	</script>            
</body>
</html>


<?php 
    cache_end($expires_timestamp);
}
function cache_end($expires_timestamp = 0) {
    $PageContent = ob_get_contents();
    
    if($expires_timestamp > 0) {
        $HashID = md5($PageContent . implode("", $_GET));        
        $headers = apache_request_headers();
        
        $DoIDsMatch = (isset($headers['If-None-Match']) and strstr($HashID, $headers['If-None-Match']));
        
        if ($DoIDsMatch) {
            header('HTTP/1.1 304 Not Modified');
			header('p3p: CP="NOI ADM DEV PSAi COM NAV OUR OTR STP IND DEM"');
            header('Connection: close');
            exit;
        }
		else {
			header('HTTP/1.1 200 OK');
			header('p3p: CP="NOI ADM DEV PSAi COM NAV OUR OTR STP IND DEM"');
			header('Content-Type: text/html; charset=utf-8');
			header('Cache-Control: max-age=' . $expires_timestamp - time() .', must-revalidate');
			//header('Expires: '.gmdate('D, d M Y H:i:s', $expires_timestamp).' GMT');
			header('ETag: ' . $HashID);
			header('Content-Length: ' . strlen($PageContent));
			ob_end_flush();
		}
    } else {
		header('HTTP/1.1 200 OK');
		header('p3p: CP="NOI ADM DEV PSAi COM NAV OUR OTR STP IND DEM"');
		header('Content-Type: text/html; charset=utf-8');
		header('Content-Length: ' . strlen($PageContent));
		ob_end_flush();
	}
} 

?>